Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 127319 - lexer migration for XML formatter
lexer migration for XML formatter
Status: RESOLVED FIXED
Product: xml
Classification: Unclassified
Component: Text-Edit
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Samaresh Panda
issues@xml
:
Depends on:
Blocks: 122438 126040
  Show dependency treegraph
 
Reported: 2008-02-13 15:50 UTC by Samaresh Panda
Modified: 2008-02-20 04:56 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samaresh Panda 2008-02-13 15:50:19 UTC
All XML modules using Syntax parser (old editor library APIs) will be migrated to lexer. See issue 122438. It will not
be a mass migration, but will be carried out in a phased manner.

This issue is a tracker for XML's code formatting (indentation) algorithm.
Comment 1 Samaresh Panda 2008-02-15 21:44:26 UTC
Added the new lexer based formatter. See http://hg.netbeans.org/main?cmd=changeset;node=834b43f01ed2.
Comment 2 Samaresh Panda 2008-02-15 21:46:56 UTC
Enabled the new lexer based formatter for indentation. See http://hg.netbeans.org/main?cmd=changeset;node=39ad7191ec8b.

There are some minor issues with the formatter. Will enable the formatter as soon as they are fixed.
Comment 3 Samaresh Panda 2008-02-20 04:56:07 UTC
Fix integrated: http://hg.netbeans.org/main?cmd=changeset;node=cdad61b5b4a8


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo